Bug 188972

Summary: [patch] www/lighttpd: convert to USES=libtool.
Product: Ports & Packages Reporter: Tijl Coosemans <tijl>
Component: Individual Port(s)Assignee: Martin Matuska <mm>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 188978    
Attachments:
Description Flags
lighttpd.patch none

Description Tijl Coosemans freebsd_committer 2014-04-24 20:30:01 UTC
- Convert USE_AUTOTOOLS=libtool and USE_GNOME=lthack to USES=libtool.
  USE_GNOME=lthack is going away.
- Convert to USES=tar:bzip2.
- Remove ACLOCAL_ARGS.  Not needed.
- Add copy and force flags to AUTOMAKE_ARGS such that all automake build
  scripts are always updated.
- Remove --enable-static from CONFIGURE_ARGS.
  This I'm not entirely sure about, but all libraries seem to be modules
  that are dynamically loaded so it makes no sense to build static libraries.
- Add include directories to CPPFLAGS instead of CFLAGS.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-24 20:30:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-07 07:51:06 UTC
Author: bapt
Date: Wed May  7 06:50:59 2014
New Revision: 353140
URL: http://svnweb.freebsd.org/changeset/ports/353140
QAT: https://qat.redports.org/buildarchive/r353140/

Log:
  From tijl (see PR)
  - Convert USE_AUTOTOOLS=libtool and USE_GNOME=lthack to USES=libtool.
  - Convert to USES=tar:bzip2.
  - Remove ACLOCAL_ARGS. Not needed.
  - Add copy and force flags to AUTOMAKE_ARGS such that all automake build scripts
    are always updated.
  - Remove --enable-static from CONFIGURE_ARGS.
  - Add include directories to CPPFLAGS instead of CFLAGS.
  
  From me:
  - Use @sample
  - Remove .la files (not needed for modules)
  - Do not install .conf files in the stage (.conf.sample are enough)
  
  PR:		ports/188972
  Submitted by:	tijl

Modified:
  head/www/lighttpd-mod_geoip/Makefile
  head/www/lighttpd-mod_h264_streaming/Makefile
  head/www/lighttpd/Makefile
  head/www/lighttpd/files/pkg-plist.mod_geoip
  head/www/lighttpd/files/pkg-plist.mod_h264_streaming
  head/www/lighttpd/pkg-plist

Modified: head/www/lighttpd-mod_geoip/Makefile
==============================================================================
--- head/www/lighttpd-mod_geoip/Makefile	Wed May  7 06:16:10 2014	(r353139)
+++ head/www/lighttpd-mod_geoip/Makefile	Wed May  7 06:50:59 2014	(r353140)
@@ -9,7 +9,7 @@ DISTNAME=	lighttpd-${PORTVERSION}
 MAINTAINER=	mm@FreeBSD.org
 COMMENT=	GeoIP module for lighttpd
 
-LIB_DEPENDS=	GeoIP.5:${PORTSDIR}/net/GeoIP
+LIB_DEPENDS=	libGeoIP.so:${PORTSDIR}/net/GeoIP
 BUILD_DEPENDS=	${LOCALBASE}/sbin/lighttpd:${PORTSDIR}/www/lighttpd
 RUN_DEPENDS=	${LOCALBASE}/sbin/lighttpd:${PORTSDIR}/www/lighttpd
 
@@ -29,20 +29,10 @@ _BUILDING_LIGHTTPD_MODULE=	yes
 
 do-install:
 	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/lighttpd
-	@${INSTALL_KLD} ${WRKSRC}/src/.libs/${PORTNAME}.so \
+	@${INSTALL_LIB} ${WRKSRC}/src/.libs/${PORTNAME}.so \
 		${STAGEDIR}${PREFIX}/lib/lighttpd
-	@${INSTALL_KLD} ${WRKSRC}/src/.libs/${PORTNAME}.la \
-		${STAGEDIR}${PREFIX}/lib/lighttpd
-	@${INSTALL_DATA} ${WRKSRC}/src/.libs/${PORTNAME}.a \
-		${STAGEDIR}${PREFIX}/lib/lighttpd
-
-post-install:
 	@${MKDIR} ${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d
 	@${INSTALL_DATA} ${WRKSRC}/doc/config/conf.d/geoip.conf \
 		${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/geoip.conf.sample
-.if !exists(${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/geoip.conf)
-	@${INSTALL_DATA} ${WRKSRC}/doc/config/conf.d/geoip.conf \
-		${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/geoip.conf.sample
-.endif
 
 .include "${MASTERDIR}/Makefile"

Modified: head/www/lighttpd-mod_h264_streaming/Makefile
==============================================================================
--- head/www/lighttpd-mod_h264_streaming/Makefile	Wed May  7 06:16:10 2014	(r353139)
+++ head/www/lighttpd-mod_h264_streaming/Makefile	Wed May  7 06:50:59 2014	(r353140)
@@ -37,20 +37,10 @@ _BUILDING_LIGHTTPD_MODULE=	yes
 
 do-install:
 	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/lighttpd
-	@${INSTALL_KLD} ${WRKSRC}/src/.libs/${PORTNAME}.so \
+	@${INSTALL_LIB} ${WRKSRC}/src/.libs/${PORTNAME}.so \
 		${STAGEDIR}${PREFIX}/lib/lighttpd
-	@${INSTALL_KLD} ${WRKSRC}/src/.libs/${PORTNAME}.la \
-		${STAGEDIR}${PREFIX}/lib/lighttpd
-	@${INSTALL_DATA} ${WRKSRC}/src/.libs/${PORTNAME}.a \
-		${STAGEDIR}${PREFIX}/lib/lighttpd
-
-post-install:
 	@${MKDIR} ${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d
 	@${INSTALL_DATA} ${FILESDIR}/h264_streaming.conf \
 		${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/h264_streaming.conf.sample
-.if !exists(${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/h264_streaming.conf)
-	@${INSTALL_DATA} ${FILESDIR}/h264_streaming.conf \
-		${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/h264_streaming.conf
-.endif
 
 .include "${MASTERDIR}/Makefile"

Modified: head/www/lighttpd/Makefile
==============================================================================
--- head/www/lighttpd/Makefile	Wed May  7 06:16:10 2014	(r353139)
+++ head/www/lighttpd/Makefile	Wed May  7 06:50:59 2014	(r353140)
@@ -3,7 +3,7 @@
 
 PORTNAME?=	lighttpd
 PORTVERSION=	1.4.35
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES?=	www
 MASTER_SITES?=	http://download.lighttpd.net/lighttpd/releases-1.4.x/
 
@@ -17,21 +17,15 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 
 LIB_DEPENDS+=	libpcre.so:${PORTSDIR}/devel/pcre
 
-USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
-USE_GNOME=	lthack
-USES=		gmake pkgconfig
+USES=		gmake libtool pkgconfig tar:bzip2
 
-#.if !defined(_BUILDING_LIGHTTPD_MODULE)
-#USE_AUTOTOOLS=	libtool
-#.else
-USE_AUTOTOOLS=	autoconf autoheader aclocal automake libtool
-ACLOCAL_ARGS=	-I m4
-AUTOMAKE_ARGS=	--add-missing
-#.endif
-CONFIGURE_ARGS+=	--libdir=${PREFIX}/lib/lighttpd --enable-static
+USE_AUTOTOOLS=	autoconf autoheader aclocal automake
+AUTOMAKE_ARGS=	-a -c -f
+CONFIGURE_ARGS+=	--libdir=${PREFIX}/lib/lighttpd
+INSTALL_TARGET=	install-strip
 
-CFLAGS+=	-I${LOCALBASE}/include
+CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 .if !defined(_BUILDING_LIGHTTPD_MODULE)
@@ -203,18 +197,10 @@ post-install:
 .for FILE in ${LIGHTTPD_CONF_FILES}
 	@${INSTALL_DATA} ${WRKSRC}/doc/config/${FILE} \
 		${STAGEDIR}${PREFIX}/etc/lighttpd/${FILE}.sample
-.if !exists(${STAGEDIR}${PREFIX}/etc/lighttpd/${FILE})
-	@${INSTALL_DATA} ${WRKSRC}/doc/config/${FILE} \
-		${STAGEDIR}${PREFIX}/etc/lighttpd/${FILE}
-.endif
 .endfor
 .for FILE in ${LIGHTTPD_CONF_D_FILES}
 	@${INSTALL_DATA} ${WRKSRC}/doc/config/conf.d/${FILE} \
 		${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/${FILE}.sample
-.if !exists(${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/${FILE})
-	@${INSTALL_DATA} ${WRKSRC}/doc/config/conf.d/${FILE} \
-		${STAGEDIR}${PREFIX}/etc/lighttpd/conf.d/${FILE}
-.endif
 .endfor
 	@${INSTALL_DATA} ${WRKSRC}/doc/config/vhosts.d/vhosts.template \
 		${STAGEDIR}${PREFIX}/etc/lighttpd/vhosts.d/vhosts.template

Modified: head/www/lighttpd/files/pkg-plist.mod_geoip
==============================================================================
--- head/www/lighttpd/files/pkg-plist.mod_geoip	Wed May  7 06:16:10 2014	(r353139)
+++ head/www/lighttpd/files/pkg-plist.mod_geoip	Wed May  7 06:50:59 2014	(r353140)
@@ -1,6 +1,2 @@
-@unexec if cmp -s %D/etc/lighttpd/conf.d/geoip.conf %D/etc/lighttpd/conf.d/geoip.conf.sample; then rm -f %D/etc/lighttpd/conf.d/geoip.conf; fi
-etc/lighttpd/conf.d/geoip.conf.sample
-@exec [ -f %B/geoip.conf ] || cp %B/%f %B/geoip.conf
-lib/lighttpd/mod_geoip.a
-lib/lighttpd/mod_geoip.la
+@sample etc/lighttpd/conf.d/geoip.conf.sample
 lib/lighttpd/mod_geoip.so

Modified: head/www/lighttpd/files/pkg-plist.mod_h264_streaming
==============================================================================
--- head/www/lighttpd/files/pkg-plist.mod_h264_streaming	Wed May  7 06:16:10 2014	(r353139)
+++ head/www/lighttpd/files/pkg-plist.mod_h264_streaming	Wed May  7 06:50:59 2014	(r353140)
@@ -1,6 +1,2 @@
-@unexec if cmp -s %D/etc/lighttpd/conf.d/h264_streaming.conf %D/etc/lighttpd/conf.d/h264_streaming.conf.sample; then rm -f %D/etc/lighttpd/conf.d/h264_streaming.conf; fi
-etc/lighttpd/conf.d/h264_streaming.conf.sample
-@exec [ -f %B/h264_streaming.conf ] || cp %B/%f %B/h264_streaming.conf
-lib/lighttpd/mod_h264_streaming.a
-lib/lighttpd/mod_h264_streaming.la
+@sample etc/lighttpd/conf.d/h264_streaming.conf.sample
 lib/lighttpd/mod_h264_streaming.so

Modified: head/www/lighttpd/pkg-plist
==============================================================================
--- head/www/lighttpd/pkg-plist	Wed May  7 06:16:10 2014	(r353139)
+++ head/www/lighttpd/pkg-plist	Wed May  7 06:50:59 2014	(r353140)
@@ -1,174 +1,60 @@
-@unexec if cmp -s %D/etc/lighttpd/lighttpd.conf %D/etc/lighttpd/lighttpd.conf.sample; then rm -f %D/etc/lighttpd/lighttpd.conf; fi
-etc/lighttpd/lighttpd.conf.sample
-@exec [ -f %B/lighttpd.conf ] || cp %B/%f %B/lighttpd.conf
-@unexec if cmp -s %D/etc/lighttpd/modules.conf %D/etc/lighttpd/modules.conf.sample; then rm -f %D/etc/lighttpd/modules.conf; fi
-etc/lighttpd/modules.conf.sample
-@exec [ -f %B/modules.conf ] || cp %B/%f %B/modules.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/access_log.conf %D/etc/lighttpd/conf.d/access_log.conf.sample; then rm -f %D/etc/lighttpd/conf.d/access_log.conf; fi
-etc/lighttpd/conf.d/access_log.conf.sample
-@exec [ -f %B/access_log.conf ] || cp %B/%f %B/access_log.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/auth.conf %D/etc/lighttpd/conf.d/auth.conf.sample; then rm -f %D/etc/lighttpd/conf.d/auth.conf; fi
-etc/lighttpd/conf.d/auth.conf.sample
-@exec [ -f %B/auth.conf ] || cp %B/%f %B/auth.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/cgi.conf %D/etc/lighttpd/conf.d/cgi.conf.sample; then rm -f %D/etc/lighttpd/conf.d/cgi.conf; fi
-etc/lighttpd/conf.d/cgi.conf.sample
-@exec [ -f %B/cgi.conf ] || cp %B/%f %B/cgi.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/cml.conf %D/etc/lighttpd/conf.d/cml.conf.sample; then rm -f %D/etc/lighttpd/conf.d/cml.conf; fi
-etc/lighttpd/conf.d/cml.conf.sample
-@exec [ -f %B/cml.conf ] || cp %B/%f %B/cml.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/compress.conf %D/etc/lighttpd/conf.d/compress.conf.sample; then rm -f %D/etc/lighttpd/conf.d/compress.conf; fi
-etc/lighttpd/conf.d/compress.conf.sample
-@exec [ -f %B/compress.conf ] || cp %B/%f %B/compress.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/debug.conf %D/etc/lighttpd/conf.d/debug.conf.sample; then rm -f %D/etc/lighttpd/conf.d/debug.conf; fi
-etc/lighttpd/conf.d/debug.conf.sample
-@exec [ -f %B/debug.conf ] || cp %B/%f %B/debug.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/dirlisting.conf %D/etc/lighttpd/conf.d/dirlisting.conf.sample; then rm -f %D/etc/lighttpd/conf.d/dirlisting.conf; fi
-etc/lighttpd/conf.d/dirlisting.conf.sample
-@exec [ -f %B/dirlisting.conf ] || cp %B/%f %B/dirlisting.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/evhost.conf %D/etc/lighttpd/conf.d/evhost.conf.sample; then rm -f %D/etc/lighttpd/conf.d/evhost.conf; fi
-etc/lighttpd/conf.d/evhost.conf.sample
-@exec [ -f %B/evhost.conf ] || cp %B/%f %B/evhost.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/expire.conf %D/etc/lighttpd/conf.d/expire.conf.sample; then rm -f %D/etc/lighttpd/conf.d/expire.conf; fi
-etc/lighttpd/conf.d/expire.conf.sample
-@exec [ -f %B/expire.conf ] || cp %B/%f %B/expire.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/fastcgi.conf %D/etc/lighttpd/conf.d/fastcgi.conf.sample; then rm -f %D/etc/lighttpd/conf.d/fastcgi.conf; fi
-etc/lighttpd/conf.d/fastcgi.conf.sample
-@exec [ -f %B/fastcgi.conf ] || cp %B/%f %B/fastcgi.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/magnet.conf %D/etc/lighttpd/conf.d/magnet.conf.sample; then rm -f %D/etc/lighttpd/conf.d/magnet.conf; fi
-etc/lighttpd/conf.d/magnet.conf.sample
-@exec [ -f %B/magnet.conf ] || cp %B/%f %B/magnet.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/mime.conf %D/etc/lighttpd/conf.d/mime.conf.sample; then rm -f %D/etc/lighttpd/conf.d/mime.conf; fi
-etc/lighttpd/conf.d/mime.conf.sample
-@exec [ -f %B/mime.conf ] || cp %B/%f %B/mime.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/mysql_vhost.conf %D/etc/lighttpd/conf.d/mysql_vhost.conf.sample; then rm -f %D/etc/lighttpd/conf.d/mysql_vhost.conf; fi
-etc/lighttpd/conf.d/mysql_vhost.conf.sample
-@exec [ -f %B/mysql_vhost.conf ] || cp %B/%f %B/mysql_vhost.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/proxy.conf %D/etc/lighttpd/conf.d/proxy.conf.sample; then rm -f %D/etc/lighttpd/conf.d/proxy.conf; fi
-etc/lighttpd/conf.d/proxy.conf.sample
-@exec [ -f %B/proxy.conf ] || cp %B/%f %B/proxy.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/rrdtool.conf %D/etc/lighttpd/conf.d/rrdtool.conf.sample; then rm -f %D/etc/lighttpd/conf.d/rrdtool.conf; fi
-etc/lighttpd/conf.d/rrdtool.conf.sample
-@exec [ -f %B/rrdtool.conf ] || cp %B/%f %B/rrdtool.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/scgi.conf %D/etc/lighttpd/conf.d/scgi.conf.sample; then rm -f %D/etc/lighttpd/conf.d/scgi.conf; fi
-etc/lighttpd/conf.d/scgi.conf.sample
-@exec [ -f %B/scgi.conf ] || cp %B/%f %B/scgi.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/secdownload.conf %D/etc/lighttpd/conf.d/secdownload.conf.sample; then rm -f %D/etc/lighttpd/conf.d/secdownload.conf; fi
-etc/lighttpd/conf.d/secdownload.conf.sample
-@exec [ -f %B/secdownload.conf ] || cp %B/%f %B/secdownload.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/simple_vhost.conf %D/etc/lighttpd/conf.d/simple_vhost.conf.sample; then rm -f %D/etc/lighttpd/conf.d/simple_vhost.conf; fi
-etc/lighttpd/conf.d/simple_vhost.conf.sample
-@exec [ -f %B/simple_vhost.conf ] || cp %B/%f %B/simple_vhost.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/ssi.conf %D/etc/lighttpd/conf.d/ssi.conf.sample; then rm -f %D/etc/lighttpd/conf.d/ssi.conf; fi
-etc/lighttpd/conf.d/ssi.conf.sample
-@exec [ -f %B/ssi.conf ] || cp %B/%f %B/ssi.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/status.conf %D/etc/lighttpd/conf.d/status.conf.sample; then rm -f %D/etc/lighttpd/conf.d/status.conf; fi
-etc/lighttpd/conf.d/status.conf.sample
-@exec [ -f %B/status.conf ] || cp %B/%f %B/status.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/trigger_b4_dl.conf %D/etc/lighttpd/conf.d/trigger_b4_dl.conf.sample; then rm -f %D/etc/lighttpd/conf.d/trigger_b4_dl.conf; fi
-etc/lighttpd/conf.d/trigger_b4_dl.conf.sample
-@exec [ -f %B/trigger_b4_dl.conf ] || cp %B/%f %B/trigger_b4_dl.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/userdir.conf %D/etc/lighttpd/conf.d/userdir.conf.sample; then rm -f %D/etc/lighttpd/conf.d/userdir.conf; fi
-etc/lighttpd/conf.d/userdir.conf.sample
-@exec [ -f %B/userdir.conf ] || cp %B/%f %B/userdir.conf
-@unexec if cmp -s %D/etc/lighttpd/conf.d/webdav.conf %D/etc/lighttpd/conf.d/webdav.conf.sample; then rm -f %D/etc/lighttpd/conf.d/webdav.conf; fi
-etc/lighttpd/conf.d/webdav.conf.sample
-@exec [ -f %B/webdav.conf ] || cp %B/%f %B/webdav.conf
+@sample etc/lighttpd/lighttpd.conf.sample
+@sample etc/lighttpd/modules.conf.sample
+@sample etc/lighttpd/conf.d/access_log.conf.sample
+@sample etc/lighttpd/conf.d/auth.conf.sample
+@sample etc/lighttpd/conf.d/cml.conf.sample
+@sample etc/lighttpd/conf.d/cgi.conf.sample
+@sample etc/lighttpd/conf.d/compress.conf.sample
+@sample etc/lighttpd/conf.d/debug.conf.sample
+@sample etc/lighttpd/conf.d/dirlisting.conf.sample
+@sample etc/lighttpd/conf.d/evhost.conf.sample
+@sample etc/lighttpd/conf.d/expire.conf.sample
+@sample etc/lighttpd/conf.d/fastcgi.conf.sample
+@sample etc/lighttpd/conf.d/magnet.conf.sample
+@sample etc/lighttpd/conf.d/mime.conf.sample
+@sample etc/lighttpd/conf.d/mysql_vhost.conf.sample
+@sample etc/lighttpd/conf.d/proxy.conf.sample
+@sample etc/lighttpd/conf.d/rrdtool.conf.sample
+@sample etc/lighttpd/conf.d/scgi.conf.sample
+@sample etc/lighttpd/conf.d/secdownload.conf.sample
+@sample etc/lighttpd/conf.d/simple_vhost.conf.sample
+@sample etc/lighttpd/conf.d/ssi.conf.sample
+@sample etc/lighttpd/conf.d/status.conf.sample
+@sample etc/lighttpd/conf.d/trigger_b4_dl.conf.sample
+@sample etc/lighttpd/conf.d/userdir.conf.sample
+@sample etc/lighttpd/conf.d/webdav.conf.sample
 etc/lighttpd/vhosts.d/vhosts.template
-lib/lighttpd/mod_access.a
-lib/lighttpd/mod_access.la
 lib/lighttpd/mod_access.so
-lib/lighttpd/mod_accesslog.a
-lib/lighttpd/mod_accesslog.la
 lib/lighttpd/mod_accesslog.so
-lib/lighttpd/mod_alias.a
-lib/lighttpd/mod_alias.la
 lib/lighttpd/mod_alias.so
-lib/lighttpd/mod_auth.a
-lib/lighttpd/mod_auth.la
 lib/lighttpd/mod_auth.so
-lib/lighttpd/mod_cgi.a
-lib/lighttpd/mod_cgi.la
 lib/lighttpd/mod_cgi.so
-lib/lighttpd/mod_cml.a
-lib/lighttpd/mod_cml.la
 lib/lighttpd/mod_cml.so
-lib/lighttpd/mod_compress.a
-lib/lighttpd/mod_compress.la
 lib/lighttpd/mod_compress.so
-lib/lighttpd/mod_dirlisting.a
-lib/lighttpd/mod_dirlisting.la
 lib/lighttpd/mod_dirlisting.so
-lib/lighttpd/mod_evasive.a
-lib/lighttpd/mod_evasive.la
 lib/lighttpd/mod_evasive.so
-lib/lighttpd/mod_evhost.a
-lib/lighttpd/mod_evhost.la
 lib/lighttpd/mod_evhost.so
-lib/lighttpd/mod_expire.a
-lib/lighttpd/mod_expire.la
 lib/lighttpd/mod_expire.so
-lib/lighttpd/mod_extforward.a
-lib/lighttpd/mod_extforward.la
 lib/lighttpd/mod_extforward.so
-lib/lighttpd/mod_fastcgi.a
-lib/lighttpd/mod_fastcgi.la
 lib/lighttpd/mod_fastcgi.so
-lib/lighttpd/mod_flv_streaming.a
-lib/lighttpd/mod_flv_streaming.la
 lib/lighttpd/mod_flv_streaming.so
-lib/lighttpd/mod_indexfile.a
-lib/lighttpd/mod_indexfile.la
 lib/lighttpd/mod_indexfile.so
-lib/lighttpd/mod_magnet.a
-lib/lighttpd/mod_magnet.la
 lib/lighttpd/mod_magnet.so
-lib/lighttpd/mod_mysql_vhost.a
-lib/lighttpd/mod_mysql_vhost.la
 lib/lighttpd/mod_mysql_vhost.so
-lib/lighttpd/mod_proxy.a
-lib/lighttpd/mod_proxy.la
 lib/lighttpd/mod_proxy.so
-lib/lighttpd/mod_redirect.a
-lib/lighttpd/mod_redirect.la
 lib/lighttpd/mod_redirect.so
-lib/lighttpd/mod_rewrite.a
-lib/lighttpd/mod_rewrite.la
 lib/lighttpd/mod_rewrite.so
-lib/lighttpd/mod_rrdtool.a
-lib/lighttpd/mod_rrdtool.la
 lib/lighttpd/mod_rrdtool.so
-lib/lighttpd/mod_scgi.a
-lib/lighttpd/mod_scgi.la
 lib/lighttpd/mod_scgi.so
-lib/lighttpd/mod_secdownload.a
-lib/lighttpd/mod_secdownload.la
 lib/lighttpd/mod_secdownload.so
-lib/lighttpd/mod_setenv.a
-lib/lighttpd/mod_setenv.la
 lib/lighttpd/mod_setenv.so
-lib/lighttpd/mod_simple_vhost.a
-lib/lighttpd/mod_simple_vhost.la
 lib/lighttpd/mod_simple_vhost.so
-lib/lighttpd/mod_ssi.a
-lib/lighttpd/mod_ssi.la
 lib/lighttpd/mod_ssi.so
-lib/lighttpd/mod_staticfile.a
-lib/lighttpd/mod_staticfile.la
 lib/lighttpd/mod_staticfile.so
-lib/lighttpd/mod_status.a
-lib/lighttpd/mod_status.la
 lib/lighttpd/mod_status.so
-lib/lighttpd/mod_trigger_b4_dl.a
-lib/lighttpd/mod_trigger_b4_dl.la
 lib/lighttpd/mod_trigger_b4_dl.so
-lib/lighttpd/mod_userdir.a
-lib/lighttpd/mod_userdir.la
 lib/lighttpd/mod_userdir.so
-lib/lighttpd/mod_usertrack.a
-lib/lighttpd/mod_usertrack.la
 lib/lighttpd/mod_usertrack.so
-lib/lighttpd/mod_webdav.a
-lib/lighttpd/mod_webdav.la
 lib/lighttpd/mod_webdav.so
 man/man8/lighttpd.8.gz
 sbin/lighttpd
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Baptiste Daroussin freebsd_committer 2014-05-07 07:57:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 Christos Chatzaras 2014-05-07 21:22:19 UTC
After this patch when I do:

cd /usr/ports/www/lighttpd
make config

I get this message:

"/usr/ports/Mk/bsd.gnome.mk", line 662: The Pre include part of =
bsd.gnome.mk part is not included. Did you forget WANT_GNOME=3Dyes =
before bsd.port.pre.mk?

Also it=92s not possible to upgrade lighttpd.=
Comment 5 Tijl Coosemans freebsd_committer 2014-05-07 22:38:01 UTC
On Wed, 7 May 2014 23:22:19 +0300 Christos Chatzaras wrote:
> After this patch when I do:
> 
> cd /usr/ports/www/lighttpd
> make config
> 
> I get this message:
> 
> "/usr/ports/Mk/bsd.gnome.mk", line 662: The Pre include part of bsd.gnome.mk part is not included. Did you forget WANT_GNOME=yes before bsd.port.pre.mk?
> 
> Also its not possible to upgrade lighttpd.

Thanks for the report.  It should be fixed with r353212.